Bug 1264602 - [abrt] abrt-addon-ccpp: __init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Datenübergabe unterbrochen (broken pipe)
[abrt] abrt-addon-ccpp: __init__.py:84:error_msg_and_die:BrokenPipeError: [Er...
Status: CLOSED DUPLICATE of bug 1255259
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:688d690792eb0e28e81d092055f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 22:32 EDT by f.alexander.wilms
Modified: 2015-09-29 03:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-29 03:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.18 KB, text/plain)
2015-09-18 22:32 EDT, f.alexander.wilms
no flags Details
File: environ (67 bytes, text/plain)
2015-09-18 22:32 EDT, f.alexander.wilms
no flags Details

  None (edit)
Description f.alexander.wilms 2015-09-18 22:32:49 EDT
Version-Release number of selected component:
abrt-addon-ccpp-2.6.2-3.fc23

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -u /usr/bin/abrt-action-install-debuginfo --ids /proc/self/fd/3 --
executable:     /usr/bin/abrt-action-install-debuginfo
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            173

Truncated backtrace:
__init__.py:84:error_msg_and_die:BrokenPipeError: [Errno 32] Datenübergabe unterbrochen (broken pipe)

Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 242, in <module>
    result = downloader.download(missing, download_exact_files=exact_fls)
  File "/usr/lib64/python3.4/site-packages/reportclient/debuginfo.py", line 371, in download
    package_full_path, err = self.download_package(pkg)
  File "/usr/lib64/python3.4/site-packages/reportclient/dnfdebuginfo.py", line 124, in download_package
    self.base.download_packages([pkg], self.progress)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 865, in download_packages
    errors = dnf.repo.download_payloads(payloads, drpm)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 126, in download_payloads
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib64/python3.4/site-packages/librepo/__init__.py", line 1505, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 145, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1341, in log
    self._log(level, msg, args, **kwargs)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1409, in _log
    self.handle(record)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1418, in handle
    if (not self.disabled) and self.filter(record):
  File "/usr/lib64/python3.4/logging/__init__.py", line 706, in filter
    for f in self.filters:
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 145, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1341, in log
    self._log(level, msg, args, **kwargs)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1409, in _log
    self.handle(record)
  File "/usr/lib64/python3.4/logging/__init__.py", line 1418, in handle
    if (not self.disabled) and self.filter(record):
  File "/usr/lib64/python3.4/logging/__init__.py", line 706, in filter
    for f in self.filters:
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 316, in _progress_cb
    self.progress.progress(self, done)
  File "/usr/lib64/python3.4/site-packages/reportclient/dnfdebuginfo.py", line 59, in progress
    self.observer.update(str(payload), int(100 * (done / payload.download_size)))
  File "/usr/lib64/python3.4/site-packages/reportclient/debuginfo.py", line 215, in update
    self.downloaded_pkgs + 1, self.total_pkgs, name, pct))
BrokenPipeError: [Errno 32] Datenübergabe unterbrochen (broken pipe)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/abrt-action-install-debuginfo", line 244, in <module>
    error_msg_and_die("Can't download debuginfos: %s", ex)
  File "/usr/lib64/python3.4/site-packages/reportclient/__init__.py", line 84, in error_msg_and_die
    sys.stderr.write("%s\n" % (fmt % args))
BrokenPipeError: [Errno 32] Datenübergabe unterbrochen (broken pipe)

Local variables in innermost frame:
fmt: "Can't download debuginfos: %s"
args: (BrokenPipeError(32, 'Datenübergabe unterbrochen (broken pipe)'),)
Comment 1 f.alexander.wilms 2015-09-18 22:32:53 EDT
Created attachment 1075120 [details]
File: backtrace
Comment 2 f.alexander.wilms 2015-09-18 22:32:54 EDT
Created attachment 1075121 [details]
File: environ
Comment 3 Matej Habrnal 2015-09-29 03:32:54 EDT
Thank you for the bug report. This particular bug has already been reported into our bug tracking system, but please feel free to report any further bugs you find.

*** This bug has been marked as a duplicate of bug 1255259 ***

Note You need to log in before you can comment on or make changes to this bug.